cpe:2.3:a:open-xchange:open-xchange_appsuite:7.10.5:patch_release_6084:*:*:*:*:*:*
Imageconverter API endpoints provided methods that were not sufficiently validating and sanitizing client input, allowing to inject arbitrary SQL statements. An attacker with access to the adjacent network and potentially API credentials, could read and modify database content which is accessible to the imageconverter SQL user account. None No publicly available exploits are known.
Source: Open-Xchange
Max CVSS
7.3
EPSS Score
0.04%
Published
2023-11-02
Updated
2024-01-12
Connections to external data sources, like e-mail autoconfiguration, were not terminated in case they hit a timeout, instead those connections were logged. Some connections use user-controlled endpoints, which could be malicious and attempt to keep the connection open for an extended period of time. As a result users were able to trigger large amount of egress network connections, possibly exhausting network pool resources and lock up legitimate requests. A new mechanism has been introduced to cancel external connections that might access user-controlled endpoints. No publicly available exploits are known.
Source: Open-Xchange
Max CVSS
4.3
EPSS Score
0.04%
Published
2023-11-02
Updated
2024-01-12
Documents operations, in this case "drawing", could be manipulated to contain invalid data types, possibly script code. Script code could be injected to an operation that would be executed for users that are actively collaborating on the same document. Operation data exchanged between collaborating parties does now gets checked for validity to avoid code execution. No publicly available exploits are known.
Source: Open-Xchange
Max CVSS
5.4
EPSS Score
0.05%
Published
2023-11-02
Updated
2024-01-12
Documents operations could be manipulated to contain invalid data types, possibly script code. Script code could be injected to an operation that would be executed for users that are actively collaborating on the same document. Operation data exchanged between collaborating parties does now get escaped to avoid code execution. No publicly available exploits are known.
Source: Open-Xchange
Max CVSS
5.4
EPSS Score
0.05%
Published
2023-11-02
Updated
2024-01-12
Presentations may contain references to images, which are user-controlled, and could include malicious script code that is being processed when editing a document. Script code embedded in malicious documents could be executed in the context of the user editing the document when performing certain actions, like copying content. The relevant attribute does now get encoded to avoid the possibility of executing script code. No publicly available exploits are known.
Source: Open-Xchange
Max CVSS
6.1
EPSS Score
0.05%
Published
2023-11-02
Updated
2024-01-12
RMI was not requiring authentication when calling ChronosRMIService:setEventOrganizer. Attackers with local or adjacent network access could abuse the RMI service to modify calendar items using RMI. RMI access is restricted to localhost by default. The interface has been updated to require authenticated requests. No publicly available exploits are known.
Source: Open-Xchange
Max CVSS
7.8
EPSS Score
0.04%
Published
2023-11-02
Updated
2024-01-12
Requests to fetch image metadata could be abused to include SQL queries that would be executed unchecked. Exploiting this vulnerability requires at least access to adjacent networks of the imageconverter service, which is not exposed to public networks by default. Arbitrary SQL statements could be executed in the context of the services database user account. API requests are now properly checked for valid content and attempts to circumvent this check are being logged as error. No publicly available exploits are known.
Source: Open-Xchange
Max CVSS
8.8
EPSS Score
0.05%
Published
2023-11-02
Updated
2024-01-12
Requests to cache an image could be abused to include SQL queries that would be executed unchecked. Exploiting this vulnerability requires at least access to adjacent networks of the imageconverter service, which is not exposed to public networks by default. Arbitrary SQL statements could be executed in the context of the services database user account. API requests are now properly checked for valid content and attempts to circumvent this check are being logged as error. No publicly available exploits are known.
Source: Open-Xchange
Max CVSS
8.8
EPSS Score
0.05%
Published
2023-11-02
Updated
2024-01-12
Requests to cache an image and return its metadata could be abused to include SQL queries that would be executed unchecked. Exploiting this vulnerability requires at least access to adjacent networks of the imageconverter service, which is not exposed to public networks by default. Arbitrary SQL statements could be executed in the context of the services database user account. API requests are now properly checked for valid content and attempts to circumvent this check are being logged as error. No publicly available exploits are known.
Source: Open-Xchange
Max CVSS
8.8
EPSS Score
0.05%
Published
2023-11-02
Updated
2024-01-12
OX App Suite through 7.10.6 allows SSRF because the anti-SSRF protection mechanism only checks the first DNS AA or AAAA record.
Source: MITRE
Max CVSS
5.3
EPSS Score
0.08%
Published
2022-12-26
Updated
2023-01-04
OX App Suite through 7.10.6 has Uncontrolled Resource Consumption via a large request body containing a redirect URL to the deferrer servlet.
Source: MITRE
Max CVSS
5.3
EPSS Score
0.08%
Published
2022-12-26
Updated
2023-01-04
OX App Suite through 7.10.6 has Uncontrolled Resource Consumption via a large location request parameter to the redirect servlet.
Source: MITRE
Max CVSS
5.3
EPSS Score
0.08%
Published
2022-12-26
Updated
2023-01-04
OX App Suite through 7.10.6 allows XSS via a malicious capability to the metrics or help module, as demonstrated by a /#!!&app=io.ox/files&cap= URI.
Source: MITRE
Max CVSS
6.1
EPSS Score
0.08%
Published
2022-12-26
Updated
2023-01-03
OX App Suite through 7.10.6 allows XSS via script code within a contact that has an e-mail address but lacks a name.
Source: MITRE
Max CVSS
6.1
EPSS Score
0.08%
Published
2022-12-26
Updated
2023-01-03
OX App Suite through 7.10.6 allows XSS via HTML in text/plain e-mail messages.
Source: MITRE
Max CVSS
6.1
EPSS Score
0.08%
Published
2022-12-26
Updated
2023-01-03
OX App Suite through 7.10.6 allows XSS via XHTML CDATA for a snippet, as demonstrated by the onerror attribute of an IMG element within an e-mail signature.
Source: MITRE
Max CVSS
6.1
EPSS Score
0.08%
Published
2022-12-26
Updated
2023-01-04
OX App Suite through 7.10.6 allows XSS via a deep link, as demonstrated by class="deep-link-app" for a /#!!&app=%2e./ URI.
Source: MITRE
Max CVSS
6.1
EPSS Score
0.08%
Published
2022-12-26
Updated
2023-01-03
OX App Suite through 8.2 allows XSS via a certain complex hierarchy that forces use of Show Entire Message for a huge HTML e-mail message.
Source: MITRE
Max CVSS
5.4
EPSS Score
0.05%
Published
2022-12-26
Updated
2023-01-04
OX App Suite through 8.2 allows XSS because BMFreehand10 and image/x-freehand are not blocked.
Source: MITRE
Max CVSS
5.4
EPSS Score
0.05%
Published
2022-12-26
Updated
2023-01-04
19 vulnerabilities found
This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!